Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sde
Class SDEDeleteHandler

    java.lang.Object
      org.deegree.io.datastore.sde.AbstractSDERequestHandler
          org.deegree.io.datastore.sde.SDEDeleteHandler

    public class SDEDeleteHandler

extends AbstractSDERequestHandler

Handler for `Delete` operations contained in `Transaction` requests.

Version:
  $Revision: 12183 $, $Date: 2008-06-05 11:17:23 +0200 (Do, 05. Jun 2008) $
Author:
  Christoph Pollmann, last edited by: $Author: rbezema $

Field Summary

Fields inherited from class org.deegree.io.datastore.sde.AbstractSDERequestHandler
`aliasGenerator, conn, datastore, FT_COLUMN, FT_PREFIX`

Constructor Summary
`SDEDeleteHandler(SDETransaction dsTa, TableAliasGenerator aliasGenerator, SDEConnection conn)` Creates a new `DeleteHandler` from the given parameters.

Method Summary
`(package private) int` | `performDelete(MappedFeatureType mappedFeatureType, Filter filter)` Deletes the features from the datastore that are matched by the given filter and type.

Methods inherited from class org.deegree.io.datastore.sde.AbstractSDERequestHandler
`buildColumnsMap, buildInitialFIDSelect, buildMappingFieldMap, determineAffectedFIDs, extractFeatureIds, getAliasGenerator, getConnection, getDatastore, getFeatureIdColumns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDEDeleteHandler

    SDEDeleteHandler(SDETransaction dsTa,
                     TableAliasGenerator aliasGenerator,
                     SDEConnection conn)

  Creates a new `DeleteHandler` from the given parameters.

  Parameters:
    `dsTa` -
    `aliasGenerator` -
    `conn` -

Method Detail

### performDelete

    int performDelete(MappedFeatureType mappedFeatureType,
                      Filter filter)
                throws DatastoreException

  Deletes the features from the datastore that are matched by the given filter and type.

  Parameters:
    `mappedFeatureType` -
    `filter` -
  Returns:
    number of deleted feature instances
  Throws:
    `DatastoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org